apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: default
  annotations:
    argocd.argoproj.io/sync-wave: "1"
spec:
  destination:
    name: ''
    namespace: argocd
    server: 'https://kubernetes.default.svc'
  source:
    path: deployment_configs/default
    repoURL: 'https://gitlab.com/namerepositorio'
    targetRevision: develop
  project: default
  syncPolicy:
    automated:
      prune: true
      selfHeal: true